# what's where?
include GNUmakevars


all: \
	test-ortung.png \
	test-rounded_box.png \
	test-zentrale.png \
	test-kabine.png \
	test-kabine2.png \
	test-kabine3.png \
	test-kabine4.png \
	test-speicherbank.png \
	test-deck_20.png \
	test-deck_19.png \
	test-deck_15.png \
	test-deck_14.png \
	test-deck_13.png \
	test-deck_12.png \
	test-deck_18.png \
	test-deck_01.png \
	test-sonden_hangar.png \
	test-superellipsoid.png \
	test-difference.png \
	test-ein-mann-jaeger.png \
	test-hufeisenpult.png \
	test-konturensitz.png \
	test-polgeschuetz.png \
	test-shift.png \
	test-triebwerk.png \
	test-ringwulst.png \
	test-schneller_kreuzer.png \


%.ppm: %.pov
	$(POVRAY) +W$(WIDTH) +H$(HEIGHT) +V -I$< +L$(POVINC) +D +FP

%.png: %.pov
	$(POVRAY) +V -I$< +L$(POVINC) +D +FN

%.pov: make%
	$< > $@

test-sonden_hangar.png: test-sonden_hangar.pov sonden_hangar.pov  
test-ein-mann-jaeger.png: test-ein-mann-jaeger.pov ein-mann-jaeger.pov  konturensitz.pov 
test-hufeisenpult.png: test-hufeisenpult.pov hufeisenpult.pov  
test-konturensitz.png: test-konturensitz.pov konturensitz.pov 

test-polgeschuetz.png: test-polgeschuetz.pov polgeschuetz.pov 

test-schneller_kreuzer.png: test-schneller_kreuzer.pov \
    schneller_kreuzer.pov huelle.pov deck_20.pov polgeschuetz.pov \
    deck_19.pov ein-mann-jaeger.pov deck_18.pov deck_17.pov \
    deck_16.pov deck_15.pov deck_14.pov deck_13.pov \
    speicherbank.pov andruckabsorber.pov \
    ringwulst.pov triebwerk.pov \
    deck_01.pov shift.pov \


test-deck_18.png: test-deck_18.pov \
    huelle.pov \
    deck_18.pov

test-deck_15.png: test-deck_15.pov \
    huelle.pov \
    deck_15.pov \
    speicherbank.pov

test-deck_14.png: test-deck_14.pov \
    huelle.pov \
    deck_14.pov \
    andruckabsorber.pov

test-deck_13.png: test-deck_13.pov \
    huelle.pov \
    deck_13.pov \
    kabine.pov \
    kabine4.pov \
    kraftwerk.pov \
    T_bodenbelag.pov \
    zentrale.pov

test-deck_12.png: test-deck_12.pov \
    huelle.pov \
    deck_12.pov \
    kabine.pov \
    kabine4.pov \
    T_bodenbelag.pov \
    ortung.pov

test-speicherbank.png: test-speicherbank.pov \
    speicherbank.pov \

test-kabine.png: test-kabine.pov \
    kabine.pov \
    einrichtung.pov \

test-kabine2.png: test-kabine2.pov \
    kabine2.pov \
    einrichtung.pov \

test-kabine3.png: test-kabine3.pov \
    kabine3.pov \
    einrichtung.pov \

test-kabine4.png: test-kabine4.pov \
    kabine4.pov \
    einrichtung.pov \

test-zentrale.png: test-zentrale.pov \
    zentrale.pov \
    rounded_box.pov \

test-rounded_box.png: test-rounded_box.pov \
    rounded_box.pov \

test-shift.png: test-shift.pov shift.pov

test-deck_01.png: test-deck_01.pov \
    huelle.pov \
    deck_01.pov \
    shift.pov \

test-triebwerk.png: test-triebwerk.pov triebwerk.pov

test-ringwulst.png: test-ringwulst.pov ringwulst.pov triebwerk.pov

test-ortung.png: test-ortung.pov \
    ortung.pov \
    rounded_box.pov \

%.gif: %.ppm
	ppmquant 256 $< | ppmtogif > $@
